<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:04 CEST 2014 -->
<title>Uses of Interface fr.inria.alpage.frmgcm.dpp.Node</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface fr.inria.alpage.frmgcm.dpp.Node";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/dpp/class-use/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface fr.inria.alpage.frmgcm.dpp.Node" class="title">Uses of Interface<br>fr.inria.alpage.frmgcm.dpp.Node</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp</a></td>
<td class="colLast">
<div class="block">This package contains generated classes used for parsing dpath language.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.dpp">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> that implement <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTCoordExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTCoordExpression</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathFilter.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathFilter</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathNavigation.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathNavigation</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathTest.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathTest</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTExpression</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTGroupedExpression</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTMacroExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTMacroExpression</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTStart</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> declared as <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>[]</code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#children">children</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#parent">parent</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> with type parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&gt;</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#nodes">nodes</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">Node.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetChild(int)">jjtGetChild</a></strong>(int&nbsp;i)</code>
<div class="block">This method returns a child node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetChild(int)">jjtGetChild</a></strong>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">Node.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetParent()">jjtGetParent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetParent()">jjtGetParent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#peekNode()">peekNode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#popNode()">popNode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#rootNode()">rootNode</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> with parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#clearNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">clearNodeScope</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20boolean)">closeNodeScope</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
              boolean&nbsp;condition)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20int)">closeNodeScope</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
              int&nbsp;num)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Node.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
           int&nbsp;i)</code>
<div class="block">This method tells the node to add its argument to the node's
    list of children.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
           int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Node.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>
<div class="block">This pair of methods are used to inform the node of its
    parent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">SimpleNode.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#openNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">openNodeScope</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">JJTDPathParserState.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#pushNode(fr.inria.alpage.frmgcm.dpp.Node)">pushNode</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/dpp/class-use/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
